Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.service
Class BinaryStorageService

    java.lang.Object
      org.modeshape.jboss.service.BinaryStorageService

All Implemented Interfaces:
  org.jboss.msc.service.Service<BinaryStorage>, org.jboss.msc.value.Value<BinaryStorage>

    public class BinaryStorageService

extends Object
implements org.jboss.msc.service.Service<BinaryStorage>

Field Summary
`protected BinaryStorage` | `binaryStorage`

Fields inherited from interface org.jboss.msc.service.Service
`NULL, NULL_VALUE`

Constructor Summary
`BinaryStorageService(String repositoryName, EditableDocument binaryConfig)`

Method Summary
`org.jboss.msc.inject.Injector<org.infinispan.manager.CacheContainer>` | `getBinaryCacheManagerInjector()`
`org.jboss.msc.value.InjectedValue<String>` | `getBinaryStorageBasePathInjector()`
`String` | `getRepositoryName()` Get the repository name.
`BinaryStorage` | `getValue()`
`void` | `start(org.jboss.msc.service.StartContext arg0)`
`void` | `stop(org.jboss.msc.service.StopContext arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### binaryStorage

    protected final BinaryStorage binaryStorage

Constructor Detail

### BinaryStorageService

    public BinaryStorageService(String repositoryName,
                                EditableDocument binaryConfig)

Method Detail

### getRepositoryName

    public String getRepositoryName()

  Get the repository name.

  Returns:
    repositoryName

### getBinaryStorageBasePathInjector

    public org.jboss.msc.value.InjectedValue<String> getBinaryStorageBasePathInjector()

  Returns:
    the injector used to set the path where the binary files are to be stored

### getBinaryCacheManagerInjector

    public org.jboss.msc.inject.Injector<org.infinispan.manager.CacheContainer> getBinaryCacheManagerInjector()

  Returns:
    the injector used to set the CacheManager reference used for binary storage

### getValue

    public BinaryStorage getValue()
                           throws IllegalStateException,
                                  IllegalArgumentException

  Specified by:
    `getValue` in interface `org.jboss.msc.value.Value<BinaryStorage>`
  Throws:
    `IllegalStateException`
    `IllegalArgumentException`

### start

    public void start(org.jboss.msc.service.StartContext arg0)

  Specified by:
    `start` in interface `org.jboss.msc.service.Service<BinaryStorage>`

### stop

    public void stop(org.jboss.msc.service.StopContext arg0)

  Specified by:
    `stop` in interface `org.jboss.msc.service.Service<BinaryStorage>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.